* {
    font-family: Arial, "Microsoft JhengHei", 微軟正黑體, "Heiti TC", "PMingLiU", 新細明體;
    box-sizing: border-box;
    outline: none;
    padding: 0px;
    margin: 0px;
    word-wrap: break-word;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-text-size-adjust: 100%;
}

img,
video {
    font-size: 0px;
    max-width: 100%;
    max-height: 100%;
    height: auto;
    border: 0px;
    vertical-align: middle;
}

textarea, 
input[type="text"], 
input[type="password"], 
input[type="datetime"], 
input[type="datetime-local"], 
input[type="date"], 
input[type="month"], 
input[type="time"], 
input[type="week"], 
input[type="number"], 
input[type="email"], 
input[type="url"], 
input[type="search"], 
input[type="tel"], 
input[type="color"],
div.bootstrap-tagsinput{
    border: 2px solid #d5d5d5!important;
    padding: 4px 12px!important;
    width: 100%!important;
    min-height: 36px!important;
    border-radius: 4px!important;
    box-sizing: border-box!important;
    color: #000!important;
}

input[type="search"] {
    padding-left: 30px!important;
}

textarea.error,  
input[type="text"].error, 
input[type="password"].error, 
input[type="datetime"].error,  
input[type="datetime-local"].error,  
input[type="date"].error,  
input[type="month"].error,  
input[type="time"].error,  
input[type="week"].error,  
input[type="number"].error,  
input[type="email"].error,  
input[type="url"].error,  
input[type="search"].error, 
input[type="tel"].error, 
input[type="color"].error
{
    border: 2px solid red!important;
}

select {
    border: 2px solid #d5d5d5!important;
    height: 36px!important;
    color: #000!important;
}

select.error {
    border: 2px solid red!important;
}

.dataTables_filter label:before {
    top: 10px!important;
}

div.bootstrap-tagsinput > input {
    border: 0px!important;
    padding: 0px!important;
    min-height: 24px!important;
}

.ck.ck-editor {
    border: 1px solid #d5d5d5!important;
    border-radius: 4px!important;
}

.ck.ck-editor__editable_inline {
    height: 240px;
}

.btn {
    padding: 8px 10px!important;
    border-radius: 4px !important;
    height: 36px;
}

div.widget-body:after {
    position: relative;
    display: block;
    content: '';
    clear: both;
    width: 100%;
    height: 0px;
    overflow: hidden;
}

div.form-footer {
    position: relative;
    border-top: 2px solid #d5d5d5;
    margin-top: 20px;
    padding-top: 20px;
}

div.form-footer .btn {
    margin: 0px 4px;
}

div.clearboth {
    position: relative;
    display: block;
    clear: both;
    width: 100%;
    height: 0px;
    overflow: hidden;
}

.widget-header {
    padding: 4px 12px!important;
}

.widget-buttons {
    padding: 0px;
    margin: auto;
    vertical-align: top;
}

.widget-buttons > a,
.widget-buttons > button {
    margin: auto!important;
}

div.widget-buttons .btn {
    padding: 4px 10px!important;
    min-height: 24px!important;
    margin: auto!important;
}

label {
    position: relative;
    line-height: 20px!important;
    margin-bottom: 0!important;
    padding: 8px 0px;
}

table.dataTable {
    width: 100%!important;
    margin-top: 10px;
}

table.dataTable tr:hover {
    background: lightyellow!important;
}

table.dataTable thead tr th,
table.dataTable thead tr td {
    white-space: nowrap;
    text-align: left;
}

table.dataTable th,
table.dataTable td {
    text-align: left;
    vertical-align: middle!important;
}

table.dataTable th.center,
table.dataTable td.center {
    text-align: center;
}

table.dataTable th.nowrap,
table.dataTable td.nowrap {
    white-space: nowrap;
}

div.dataTables_wrapper div.dataTables_filter:after {
    position: relative;
    display: block;
    content: '';
    clear: both;
    width: 100%;
    height: 0px;
    overflow: hidden;
}

div.filter-area {
    position: relative;
    border-bottom: 1px solid #d5d5d5;
    padding-bottom: 10px;
}

div.list-area {
    position: relative;
}

table.filter-table td {
    padding-left: 8px;
    padding-right: 8px;
    white-space: nowrap;
    border-left: 2px solid #d5d5d5;
}

table.filter-table td:nth-child(1) {
    padding-left: 0px;
    border: 0px;
}

table.filter-table td > * {
    display: inline-block;
    margin: 0px 4px;
    vertical-align: middle;
}

table.filter-table td label {
    font-weight: bold;
}

table.filter-table td select {
    border: 2px solid #d5d5d5;
    border-radius: 4px !important;
}

table.filter-table td input[type="text"] {
    width: 150px!important;
}

table.filter-table td button.btn,
table.filter-table td a.btn{
    border: 2px solid #d5d5d5;
}

.dt-length {
    top: -58px!important;
}

.input-group-append {
    position: absolute;
    top: 0px;
    right: 0px;
    z-index: 2;
}

.fc .fc-button {
    padding: 4px 8px!important;
    line-height: normal!important;
}

/******************************************************************************/

.navbar, .navbar .navbar-inner {
	min-height: 55px;
}

.navbar .navbar-inner {
	background-color: #ef4130;
}

.navbar-header.pull-left {
	margin-left: -15px;
	background-color: #ffffff;
	width: 229px;
	padding-top: 5px;
	padding-bottom: 5px;
}

.navbar-brand {
	padding-left: 29px !important;
}

.navbar .navbar-brand small img {
	height: auto!important;
	margin-top: -10px;
}

.navbar .sidebar-collapse {
	text-align: center;
	padding: 0;
	z-index: 2;
	width: 35px;
	height: 45px;
	position: absolute;
	left: 224px;
	top: 4px;
}

#navbar-app-name {
	padding-top: 10px;
	font-size: 2em;
	color: #ffffff;
	line-height: 28px;
}

#navbar-app-name > span {
	margin-left: 35px;
}

.navbar .navbar-inner .navbar-header .navbar-account {
	height: 75px;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area, .navbar .navbar-inner .navbar-header .navbar-account .setting {
	top: 30px!important;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area .login-area {
	min-width: 200px;
}

.navbar .sidebar-collapse.active .collapse-icon {
	box-shadow: none;
	-webkit-box-shadow: none;
}

.page-sidebar .sidebar-header-wrapper .searchicon, .breadcrumb>li>a {
	color: #ef4130;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area .login-area .avatar {
	border-left: none;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area > li.open > a,
.navbar .navbar-inner .navbar-header .navbar-account .account-area > li .dropdown-menu.dropdown-login-area > li .avatar-area .caption,
.navbar .navbar-inner .navbar-header .navbar-account.setting-open .setting,
.page-sidebar .sidebar-menu li:before {
	background-color: #ef4130;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area > li .dropdown-menu.dropdown-login-area > li.dropdown-footer {
	border-top: 3px solid #ef4130;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area>li .dropdown-menu.dropdown-login-area>li.edit a {
	padding: 9px 2px;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area>li .dropdown-menu.dropdown-login-area>li.edit a:hover {
	color: #ef4130;
}

.navbar .navbar-inner .navbar-header .navbar-account.setting-open .setting-container {
	top: 30px;
}

.navbar .navbar-inner .navbar-header .navbar-account .setting-container input[type=checkbox]+.text:before {
	border-color: #ef4130!important;
}

.navbar .navbar-inner .navbar-header .navbar-account {
    position: absolute;
    top: -26px;
    right: 0px;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area {
    right: 0px;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area>li .dropdown-menu.dropdown-login-area>li .avatar-area {
    display: none;
}

.navbar .navbar-inner .navbar-header .navbar-account .setting {
    display: none;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area .login-area {
    white-space: nowrap;
    text-align: right;
}

.navbar .navbar-inner .navbar-header .navbar-account .account-area .login-area > div,
.navbar .navbar-inner .navbar-header .navbar-account .account-area .login-area > section {
    display: inline-block!important;
    float: none!important;
    vertical-align: middle!important;
}

@media only screen and (max-width: 530px) {
	.navbar {
		height: 75px;
	}
	.navbar, .navbar .navbar-inner {
		min-height: 75px;
	}
	.navbar .navbar-inner .navbar-header.pull-right {
		float: right!important;
	}
	.navbar .navbar-inner .navbar-header .navbar-account .account-area, .navbar .navbar-inner .navbar-header .navbar-account .setting {
		top: 30px!important;
	}

	.navbar-fixed-top+.main-container {
		margin-top: 75px!important;
	}

	.navbar .navbar-inner .navbar-header .navbar-account.setting-open .setting,
	.navbar .navbar-inner .navbar-header .navbar-account.setting-open .setting-container {
		left: auto;
		right: 0;
	}

	.breadcrumbs-fixed {
		top: 75px!important;
	}

	.page-header-fixed {
		top: 115px!important;
	}

	.navbar .navbar-inner .navbar-header .navbar-account .setting-container {
		top: 75px!important;
		background-color: #fff;
		height: auto;
		padding: 20px!important;
		width: 200px!important;
	}

	.navbar .navbar-inner .navbar-header .navbar-account .setting-container input[type=checkbox]+.text,
	.navbar .navbar-inner .navbar-header .navbar-account .setting-container input[type=checkbox]:checked+.text {
		color: #333;
	}
}

/* MARGINS & PADDINGS */
.p-xxs {
	padding: 5px !important;
}
.p-xs {
	padding: 10px !important;
}
.p-sm {
	padding: 15px !important;
}
.p-m {
	padding: 20px !important;
}
.p-md {
	padding: 25px !important;
}
.p-lg {
	padding: 30px !important;
}
.p-xl {
	padding: 40px !important;
}
.m-xxs {
	margin: 2px 4px;
}
.m-xs {
	margin: 5px;
}
.m-sm {
	margin: 10px;
}
.m {
	margin: 15px;
}
.m-md {
	margin: 20px;
}
.m-lg {
	margin: 30px;
}
.m-xl {
	margin: 50px;
}
.m-n {
	margin: 0 !important;
}
.m-l-none {
	margin-left: 0;
}
.m-l-xs {
	margin-left: 5px;
}
.m-l-sm {
	margin-left: 10px;
}
.m-l {
	margin-left: 15px;
}
.m-l-md {
	margin-left: 20px;
}
.m-l-lg {
	margin-left: 30px;
}
.m-l-xl {
	margin-left: 40px;
}
.m-l-n-xxs {
	margin-left: -1px;
}
.m-l-n-xs {
	margin-left: -5px;
}
.m-l-n-sm {
	margin-left: -10px;
}
.m-l-n {
	margin-left: -15px;
}
.m-l-n-md {
	margin-left: -20px;
}
.m-l-n-lg {
	margin-left: -30px;
}
.m-l-n-xl {
	margin-left: -40px;
}
.m-t-none {
	margin-top: 0;
}
.m-t-xxs {
	margin-top: 1px;
}
.m-t-xs {
	margin-top: 5px;
}
.m-t-sm {
	margin-top: 10px;
}
.m-t {
	margin-top: 15px;
}
.m-t-md {
	margin-top: 20px;
}
.m-t-lg {
	margin-top: 30px;
}
.m-t-xl {
	margin-top: 40px;
}
.m-t-xxl {
	margin-top: 50px;
}
.m-t-xxxl {
	margin-top: 60px;
}
.m-t-n-xxs {
	margin-top: -1px;
}
.m-t-n-xs {
	margin-top: -5px;
}
.m-t-n-sm {
	margin-top: -10px;
}
.m-t-n {
	margin-top: -15px;
}
.m-t-n-md {
	margin-top: -20px;
}
.m-t-n-lg {
	margin-top: -30px;
}
.m-t-n-xl {
	margin-top: -40px;
}
.m-r-none {
	margin-right: 0;
}
.m-r-xxs {
	margin-right: 1px;
}
.m-r-xs {
	margin-right: 5px;
}
.m-r-sm {
	margin-right: 10px;
}
.m-r {
	margin-right: 15px;
}
.m-r-md {
	margin-right: 20px;
}
.m-r-lg {
	margin-right: 30px;
}
.m-r-xl {
	margin-right: 40px;
}
.m-r-n-xxs {
	margin-right: -1px;
}
.m-r-n-xs {
	margin-right: -5px;
}
.m-r-n-sm {
	margin-right: -10px;
}
.m-r-n {
	margin-right: -15px;
}
.m-r-n-md {
	margin-right: -20px;
}
.m-r-n-lg {
	margin-right: -30px;
}
.m-r-n-xl {
	margin-right: -40px;
}
.m-b-none {
	margin-bottom: 0;
}
.m-b-xxs {
	margin-bottom: 1px;
}
.m-b-xs {
	margin-bottom: 5px;
}
.m-b-sm {
	margin-bottom: 10px;
}
.m-b {
	margin-bottom: 15px;
}
.m-b-md {
	margin-bottom: 20px;
}
.m-b-lg {
	margin-bottom: 30px;
}
.m-b-xl {
	margin-bottom: 40px;
}
.m-b-n-xxs {
	margin-bottom: -1px;
}
.m-b-n-xs {
	margin-bottom: -5px;
}
.m-b-n-sm {
	margin-bottom: -10px;
}
.m-b-n {
	margin-bottom: -15px;
}
.m-b-n-md {
	margin-bottom: -20px;
}
.m-b-n-lg {
	margin-bottom: -30px;
}
.m-b-n-xl {
	margin-bottom: -40px;
}
.space-15 {
	margin: 15px 0;
}
.space-20 {
	margin: 20px 0;
}
.space-25 {
	margin: 25px 0;
}
.space-30 {
	margin: 30px 0;
}

input.error {
    border-color: #e71313;
}
